LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XCreateCatalog Interface Referencepublished

may be implemented to hide the complexity of creating a database catalog. More...

`import"XCreateCatalog.idl";`

Inheritance diagram for XCreateCatalog:

## Public Member Functions
void | createCatalog ([in]sequence< com::sun::star::beans::PropertyValue > info) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| creates the catalog by using a sequence of property values. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

may be implemented to hide the complexity of creating a database catalog.

## Member Function Documentation

void createCatalog | ( | [in] sequence< com::sun::star::beans::PropertyValue > | info | ) |
raises | ( | com::sun::star::sdbc::SQLException,
|  | com::sun::star::container::ElementExistException
| ) |  |

creates the catalog by using a sequence of property values.

The kind of properties depends on the provider.

Parameters

  info | driver specific information

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XCreateCatalog.idl